Get author by source network ID per instance

Get a single author by the source network ID on a specific instance of the network

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Details

Returns a single author by the source network ID on a specific instance of the network. Use this method when the networktype is type "lithium" or "crm" in order to specify which instance the author ID is used for. To get a single author based on a Facebook, or Instagram username/handle or ID use:

  • /authors/networks/networktype/ids/networkid
  • /authors/networks/networktype/handles/networkhandle

Notice in this response that there is no personList array. This is because we are retrieving all known Author instances associated with the specified Care author. In this example, we passed in the id field value (2279), and we were able to retrieve all known author data related to that ID including custom CRM author attributes, custom author attributes, and system attributes.

Related endpoints

ActionEndpoint
GET/authors/networks/{networktype}/ids/{networkid}
Get a single author by source network ID where the source network has only a single, default instance, such as Facebook or Instagram
PUT/authors/networks/{networktype}/ids/{networkid}
Update a single author by source network ID on the default instance of the source network
PUT/authors/networks/{networktype}/instances/{networkinstance}/ids/{networkid}
Update a single author by network ID on a specific instance of that network
GET/authors/networks/{networktype}/handles/{networkhandle}
Get one or more authors by the networkhandle passed in for the specified source network
GET/authors/networks/{networktype}/instances/{networkinstance}/handles/{networkhandle}
Returns one or more authors by the networkhandle passed in for the specified instance of a network.
Path Params
string
required

The type of network that manages content created by or about an author. Supported values are: "instagram", "facebook", "googleplus", "lithium", "crm"

For a networktype of value "lithium" or "crm" you must also pass the networkinstance, because these types of networks can have multiple instances as opposed to Instagram, Facebook, or Google+ that have only a single, default network.

The Author API supports "instagram", "facebook", "googleplus", "lithium", and "crm" only as values for networktype.

string
required

The specific, uniquely-identifiable instance of a networktype. Use this argument with a networktype of "lithium" or "crm" only because other network types such as Facebook, Instagram, and Google+ have only a single, default instance.

If you wanted to PUT or GET author data by passing in a CRM author ID, for example, you would need to specify which CRM instance the CRM author ID is associated with.

Example: "sfdc_1"

The value to pass for networkinstance is either the instance of your Lithium community (example: https://my_community_instance.com) or the key you defined for the CRM author integration for this CRM (example: "sfdc_1").

string
required

The internal ID of the author generated by the network. For Facebook, this is the PSID. Compare this to the the externally used networkhandle. The network ID must be unique to a given networkinstance.

Query Params
boolean
Defaults to false

When true, the response includes authors whose CRM entry has been deleted. Otherwise, the response will not include authors whose CRM entry has been deleted.

Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json